Bug 194891 - new port : devel/py-ioflo "Automated Reasoning Engine and Flow Based Programming Framework"
Summary: new port : devel/py-ioflo "Automated Reasoning Engine and Flow Based Programm...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Marcus von Appen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-07 22:01 UTC by Christer Edwards
Modified: 2014-12-29 09:47 UTC (History)
1 user (show)

See Also:


Attachments
py-ioflo shar attachment (12.66 KB, application/x-shar)
2014-11-07 22:01 UTC, Christer Edwards
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christer Edwards 2014-11-07 22:01:24 UTC
Created attachment 149168 [details]
py-ioflo shar attachment

attached is a new port ioflo (http://ioflo.com). This port is a dependency for the RAET (https://github.com/saltstack/raet) protocol, which I plan on packaging next. RAET will be an optional protocol in the next release of SaltStack (sysutils/py-salt). As maintainer of that port this begins the initial work in facilitating that support.
Comment 1 Marcus von Appen freebsd_committer freebsd_triage 2014-11-29 08:42:46 UTC
Empty RUN_DEPENDS and BUILD_DEPENDS in the Makefile are unnecessary.
I wonder about the SUB_LIST+= entry. You do not use it anywhere, so I think, it can be removed, not?
Comment 2 Christer Edwards 2014-11-30 23:16:08 UTC
I used another port Makefile as a template to create this new port. I'm sure including the empty RUN_DEPENDS, BUILD_DEPENDS and SUB_LIST were simply oversights. Would you like me to attach an updated patch with those corrections?
Comment 3 Marcus von Appen freebsd_committer freebsd_triage 2014-12-29 09:47:11 UTC
Committed in ports r375779. Thanks!
Comment 4 commit-hook freebsd_committer 2014-12-29 09:47:40 UTC
A commit references this bug:

Author: mva
Date: Mon Dec 29 09:46:54 UTC 2014
New revision: 375779
URL: https://svnweb.freebsd.org/changeset/ports/375779

Log:
  Automated Reasoning Engine and Flow Based Programming Framework

  IoFlo is a magically powerful open interoperable software framework that
  enables non experts to intelligently automate their own programmable world.

  WWW: http://ioflo.com
  WWW: http://github.com/ioflo/ioflo

  PR:		194891
  Submitted by:	Christer Edwards (christer.edwards@gmail.com)

Changes:
  head/devel/Makefile
  head/devel/py-ioflo/
  head/devel/py-ioflo/Makefile
  head/devel/py-ioflo/distinfo
  head/devel/py-ioflo/pkg-descr
  head/devel/py-ioflo/pkg-plist